<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Static/Easing.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dc0/_easing_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Easing.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dc0/_easing_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dc/dc0/class_easing.html">Easing</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a3744440345f7edc39e846f033ecf9655">    4</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a3744440345f7edc39e846f033ecf9655">EaseInSine</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    {</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <span class="keywordflow">return</span> -1 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>( t * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> / 2 ) ) + 1;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a21a24c43fccbaae9bba7bbc363dff439">    9</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a21a24c43fccbaae9bba7bbc363dff439">EaseOutSine</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>( t * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> / 2 ) );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a4b66f1105ba8f1d20743564d3ecbbdd8">   14</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a4b66f1105ba8f1d20743564d3ecbbdd8">EaseInOutSine</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <span class="keywordflow">return</span> -0.5 * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Cos</a>( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> * t ) - 1 );</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#ae2b0543fb9427ff30ae93898c8ca5475">   19</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#ae2b0543fb9427ff30ae93898c8ca5475">EaseInQuad</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> t * t;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a6effc4b2b3976d89a0c0a9bf0774c459">   24</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a6effc4b2b3976d89a0c0a9bf0774c459">EaseOutQuad</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">return</span> t * ( 2 - t );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#aa500911d2036081f162dc78772b6b368">   29</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#aa500911d2036081f162dc78772b6b368">EaseInOutQuad</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">if</span>(t &lt; 0.5)</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            <span class="keywordflow">return</span> 2 * t * t;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> -1 + ( 4 - 2 * t ) * t;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a6ce6453fb6289d18d7f1151efdd15fc2">   37</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a6ce6453fb6289d18d7f1151efdd15fc2">EaseInCubic</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> t * t * t;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a9135bc72ed9822979c384a2647b91623">   42</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a9135bc72ed9822979c384a2647b91623">EaseOutCubic</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> t1 * t1 * t1 + 1;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a55c39968a0f9827d963221de5de3ac15">   48</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a55c39968a0f9827d963221de5de3ac15">EaseInOutCubic</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">if</span>( t &lt; 0.5 ) </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span> 4 * t * t * t;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">else</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <span class="keywordflow">return</span> ( t - 1 ) * ( 2 * t - 2 ) * ( 2 * t - 2 ) + 1;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span> </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a53c9b2c839be1e4a0f1406f642104c25">   56</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a53c9b2c839be1e4a0f1406f642104c25">EaseInQuart</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <span class="keywordflow">return</span> t * t * t * t;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a4cc24268b34f8ec0635597f56434e28e">   61</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a4cc24268b34f8ec0635597f56434e28e">EaseOutQuart</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">return</span> 1 - t1 * t1 * t1 * t1;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#aaaa1f8bde80b97316e237f262b8905d6">   68</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#aaaa1f8bde80b97316e237f262b8905d6">EaseInOutQuart</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    {</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span>(t &lt; 0.5)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span> 8 * t * t * t * t;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            <span class="keywordflow">return</span> 1 - 8 * t1 * t1 * t1 * t1;</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a01a7f62b8e8a0f02b3962392fd5abcdb">   78</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a01a7f62b8e8a0f02b3962392fd5abcdb">EaseInQuint</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">return</span> t * t * t * t * t;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#aa0b82eff8b64435b49e57d79cdc56bae">   83</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#aa0b82eff8b64435b49e57d79cdc56bae">EaseOutQuint</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">return</span> 1 + t1 * t1 * t1 * t1 * t1;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a14763e7c4aaf4cfc7c19e919a4bd7edf">   89</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a14763e7c4aaf4cfc7c19e919a4bd7edf">EaseInOutQuint</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    {</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">if</span>( t &lt; 0.5 )</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>            <span class="keywordflow">return</span> 16 * t * t * t * t * t;</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            <span class="keywordflow">return</span>  1 + 16 * t1 * t1 * t1 * t1 * t1;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span> </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#ac70041cf0e95ef3e497c8d560a1e2ca0">  103</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#ac70041cf0e95ef3e497c8d560a1e2ca0">EaseInExpo</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span>( t == 0 ) </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordflow">return</span> 0;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        }</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        <span class="keywordflow">return</span>  <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, 10 * ( t - 1 ) );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a89684a570f6021b664c6dade903e0091">  113</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a89684a570f6021b664c6dade903e0091">EaseOutExpo</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    {</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="keywordflow">if</span>( t == 1 ) {</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            <span class="keywordflow">return</span> 1;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        }</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        <span class="keywordflow">return</span> ( -<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, -10 * t ) + 1 );</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#ab3676f8c4db5cee8c55e940d0a8d6c6b">  122</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#ab3676f8c4db5cee8c55e940d0a8d6c6b">EaseInOutExpo</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span>( t == 0 || t == 1 ) </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="keywordflow">return</span> t;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordtype">float</span> scaledTime = t * 2;</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordtype">float</span> scaledTime1 = scaledTime - 1;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        <span class="keywordflow">if</span>( scaledTime &lt; 1 ) </div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        {</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>           <span class="keywordflow">return</span> 0.5 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, 10 *  scaledTime1 );</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>        }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordflow">return</span> 0.5 * ( -<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, -10 * scaledTime1 ) + 2 );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span> </div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span> </div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">  142</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">EaseInCirc</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>    {</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        <span class="keywordtype">float</span> scaledTime = t / 1;</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">return</span> -1 * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a>( 1 - scaledTime * t ) - 1 );</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>    }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#aef1086c6647b61fefc03b7e25465c457">  148</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#aef1086c6647b61fefc03b7e25465c457">EaseOutCirc</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>    {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordtype">float</span> t1 = t - 1;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a>( 1 - t1 * t1 );</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>    }</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>    </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a3ae54657f75393100c1e99df224902c0">  154</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a3ae54657f75393100c1e99df224902c0">EaseInOutCirc</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>    {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span> </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordtype">float</span> scaledTime = t * 2;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        <span class="keywordtype">float</span> scaledTime1 = scaledTime - 2;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span> </div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        <span class="keywordflow">if</span>( scaledTime &lt; 1 ) </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        {</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">return</span> -0.5 * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a>( 1 - scaledTime * scaledTime ) - 1 );</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">return</span> 0.5 * ( <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Sqrt</a>( 1 - scaledTime1 * scaledTime1 ) + 1 );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a0ae10a6b2727f35fdffad0addfffafcb">  168</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a0ae10a6b2727f35fdffad0addfffafcb">EaseInBack</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 1.70158 ) </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <span class="keywordflow">return</span> t * t * ( ( magnitude + 1 ) * t - magnitude );</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>    }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span> </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a2185181e1662f8c26f77a295b68a1bd5">  173</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a2185181e1662f8c26f77a295b68a1bd5">EaseOutBack</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 1.70158 ) </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    {</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        <span class="keywordtype">float</span> scaledTime = ( t / 1 ) - 1;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">return</span> (scaledTime * scaledTime * ( ( magnitude + 1 ) * scaledTime + magnitude )) + 1;</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    }</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a6d12811882f7a6bf172dbfde69fc1c62">  179</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a6d12811882f7a6bf172dbfde69fc1c62">EaseInOutBack</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 1.70158 ) </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    {</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        <span class="keywordtype">float</span> scaledTime = t * 2;</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordtype">float</span> scaledTime2 = scaledTime - 2;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordtype">float</span> s = magnitude * 1.525;</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span> </div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">if</span>( scaledTime &lt; 1) </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        {</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="keywordflow">return</span> 0.5 * scaledTime * scaledTime * (( ( s + 1 ) * scaledTime ) - s);</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        <span class="keywordflow">return</span> 0.5 * (scaledTime2 * scaledTime2 * ( ( s + 1 ) * scaledTime2 + s ) + 2);</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    }</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span> </div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#ae261e15507cda0ff84dcf75153c123bf">  195</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#ae261e15507cda0ff84dcf75153c123bf">EaseInElastic</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 0.7 ) </div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        <span class="keywordflow">if</span>( t == 0 || t == 1 ) </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            <span class="keywordflow">return</span> t;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span> </div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordtype">float</span> scaledTime = t / 1;</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordtype">float</span> scaledTime1 = scaledTime - 1;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span> </div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordtype">float</span> p = 1 - magnitude;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        <span class="keywordtype">float</span> s = p / ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Asin</a>( 1 );</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span> </div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        <span class="keywordflow">return</span> -(<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, 10 * scaledTime1 ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>( ( scaledTime1 - s ) * ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) / p ));</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    }</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span> </div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a6b9f6af483ef4e9ea8d0d6b18cb43880">  209</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a6b9f6af483ef4e9ea8d0d6b18cb43880">EaseOutElastic</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 0.7 ) </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    {</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordtype">float</span> p = 1 - magnitude;</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>        <span class="keywordtype">float</span> scaledTime = t * 2;</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span> </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        <span class="keywordflow">if</span>( t == 0 || t == 1 ) {</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>            <span class="keywordflow">return</span> t;</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        }</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>        <span class="keywordtype">float</span> s = p / ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Asin</a>( 1 );</div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>        <span class="keywordflow">return</span> (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, -10 * scaledTime ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>( ( scaledTime - s ) * ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) / p )) + 1;</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    }</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span> </div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a3e8c81e6bf1af731b80bcaea5a1e3447">  222</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a3e8c81e6bf1af731b80bcaea5a1e3447">EaseInOutElastic</a>( <span class="keywordtype">float</span> t, <span class="keywordtype">float</span> magnitude = 0.65 ) </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    {</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordtype">float</span> p = 1 - magnitude;</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span> </div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>        <span class="keywordflow">if</span>( t == 0 || t == 1 ) </div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        {</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>            <span class="keywordflow">return</span> t;</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>        }</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> </div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>        <span class="keywordtype">float</span> scaledTime = t * 2;</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordtype">float</span> scaledTime1 = scaledTime - 1;</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        </div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>        <span class="keywordtype">float</span> s = p / ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Asin</a>( 1 );</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span> </div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>        <span class="keywordflow">if</span>( scaledTime &lt; 1 ) </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>        {</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            <span class="keywordflow">return</span> -0.5 * (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, 10 * scaledTime1 ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>( ( scaledTime1 - s ) * ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) / p ));</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>        }</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>        <span class="keywordflow">return</span> (<a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Pow</a>( 2, -10 * scaledTime1 ) *        <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Sin</a>( ( scaledTime1 - s ) * ( 2 * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">PI</a> ) / p ) * 0.5) + 1;</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span> </div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">  244</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">EaseOutBounce</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    {</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span> </div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>        <span class="keywordtype">float</span> scaledTime = t / 1;</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> </div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        <span class="keywordflow">if</span>( scaledTime &lt; ( 1 / 2.75 ) ) {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> </div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            <span class="keywordflow">return</span> 7.5625 * scaledTime * scaledTime;</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> </div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span>( scaledTime &lt; ( 2 / 2.75 ) ) {</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>            <span class="keywordtype">float</span> scaledTime2 = scaledTime - ( 1.5 / 2.75 );</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>            <span class="keywordflow">return</span> ( 7.5625 * scaledTime2 * scaledTime2 ) + 0.75;</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span> </div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>        } <span class="keywordflow">else</span> <span class="keywordflow">if</span>( scaledTime &lt; ( 2.5 / 2.75 ) ) {</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span> </div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            scaledTime2 = scaledTime - ( 2.25 / 2.75 );</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>            <span class="keywordflow">return</span> ( 7.5625 * scaledTime2 * scaledTime2 ) + 0.9375;</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span> </div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>        } <span class="keywordflow">else</span> {</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span> </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno">  265</span>            scaledTime2 = scaledTime - ( 2.625 / 2.75 );</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>            <span class="keywordflow">return</span> ( 7.5625 * scaledTime2 * scaledTime2 ) + 0.984375;</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span> </div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        }</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>    }</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span> </div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a5901884972a425f822762fd03273fa89">  271</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a5901884972a425f822762fd03273fa89">EaseInBounce</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>    {</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>        <span class="keywordflow">return</span> 1 - <a class="code hl_function" href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">EaseOutBounce</a>( 1 - t );</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>    }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span> </div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno"><a class="line" href="../../dc/dc0/class_easing.html#a0c261fd6b4346a7ba5986febd622eced">  276</a></span>    <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a0c261fd6b4346a7ba5986febd622eced">EaseInOutBounce</a>( <span class="keywordtype">float</span> t ) </div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>    {</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>        <span class="keywordflow">if</span>( t &lt; 0.5 ) </div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>        {</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../dc/dc0/class_easing.html#a5901884972a425f822762fd03273fa89">EaseInBounce</a>( t * 2 ) * 0.5;</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>        }</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        <span class="keywordflow">return</span> ( <a class="code hl_function" href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">EaseOutBounce</a>( ( t * 2 ) - 1 ) * 0.5 ) + 0.5;</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>    }</div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>}</div>
<div class="ttc" id="aclass_easing_html"><div class="ttname"><a href="../../dc/dc0/class_easing.html">Easing</a></div><div class="ttdoc">Input value between 0 and 1, returns value adjusted by easing, no automatic clamping of input(do your...</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00002">Easing.c:3</a></div></div>
<div class="ttc" id="aclass_easing_html_a01a7f62b8e8a0f02b3962392fd5abcdb"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a01a7f62b8e8a0f02b3962392fd5abcdb">Easing::EaseInQuint</a></div><div class="ttdeci">static float EaseInQuint(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00078">Easing.c:78</a></div></div>
<div class="ttc" id="aclass_easing_html_a0ae10a6b2727f35fdffad0addfffafcb"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a0ae10a6b2727f35fdffad0addfffafcb">Easing::EaseInBack</a></div><div class="ttdeci">static float EaseInBack(float t, float magnitude=1.70158)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00168">Easing.c:168</a></div></div>
<div class="ttc" id="aclass_easing_html_a0c261fd6b4346a7ba5986febd622eced"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a0c261fd6b4346a7ba5986febd622eced">Easing::EaseInOutBounce</a></div><div class="ttdeci">static float EaseInOutBounce(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00276">Easing.c:276</a></div></div>
<div class="ttc" id="aclass_easing_html_a14763e7c4aaf4cfc7c19e919a4bd7edf"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a14763e7c4aaf4cfc7c19e919a4bd7edf">Easing::EaseInOutQuint</a></div><div class="ttdeci">static float EaseInOutQuint(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00089">Easing.c:89</a></div></div>
<div class="ttc" id="aclass_easing_html_a2185181e1662f8c26f77a295b68a1bd5"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a2185181e1662f8c26f77a295b68a1bd5">Easing::EaseOutBack</a></div><div class="ttdeci">static float EaseOutBack(float t, float magnitude=1.70158)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00173">Easing.c:173</a></div></div>
<div class="ttc" id="aclass_easing_html_a21a24c43fccbaae9bba7bbc363dff439"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a21a24c43fccbaae9bba7bbc363dff439">Easing::EaseOutSine</a></div><div class="ttdeci">static float EaseOutSine(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00009">Easing.c:9</a></div></div>
<div class="ttc" id="aclass_easing_html_a3744440345f7edc39e846f033ecf9655"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a3744440345f7edc39e846f033ecf9655">Easing::EaseInSine</a></div><div class="ttdeci">static float EaseInSine(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00004">Easing.c:4</a></div></div>
<div class="ttc" id="aclass_easing_html_a3ae54657f75393100c1e99df224902c0"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a3ae54657f75393100c1e99df224902c0">Easing::EaseInOutCirc</a></div><div class="ttdeci">static float EaseInOutCirc(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00154">Easing.c:154</a></div></div>
<div class="ttc" id="aclass_easing_html_a3e8c81e6bf1af731b80bcaea5a1e3447"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a3e8c81e6bf1af731b80bcaea5a1e3447">Easing::EaseInOutElastic</a></div><div class="ttdeci">static float EaseInOutElastic(float t, float magnitude=0.65)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00222">Easing.c:222</a></div></div>
<div class="ttc" id="aclass_easing_html_a4b66f1105ba8f1d20743564d3ecbbdd8"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a4b66f1105ba8f1d20743564d3ecbbdd8">Easing::EaseInOutSine</a></div><div class="ttdeci">static float EaseInOutSine(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00014">Easing.c:14</a></div></div>
<div class="ttc" id="aclass_easing_html_a4cc24268b34f8ec0635597f56434e28e"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a4cc24268b34f8ec0635597f56434e28e">Easing::EaseOutQuart</a></div><div class="ttdeci">static float EaseOutQuart(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00061">Easing.c:61</a></div></div>
<div class="ttc" id="aclass_easing_html_a53c9b2c839be1e4a0f1406f642104c25"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a53c9b2c839be1e4a0f1406f642104c25">Easing::EaseInQuart</a></div><div class="ttdeci">static float EaseInQuart(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00056">Easing.c:56</a></div></div>
<div class="ttc" id="aclass_easing_html_a55c39968a0f9827d963221de5de3ac15"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a55c39968a0f9827d963221de5de3ac15">Easing::EaseInOutCubic</a></div><div class="ttdeci">static float EaseInOutCubic(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00048">Easing.c:48</a></div></div>
<div class="ttc" id="aclass_easing_html_a5901884972a425f822762fd03273fa89"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a5901884972a425f822762fd03273fa89">Easing::EaseInBounce</a></div><div class="ttdeci">static float EaseInBounce(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00271">Easing.c:271</a></div></div>
<div class="ttc" id="aclass_easing_html_a6b9f6af483ef4e9ea8d0d6b18cb43880"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a6b9f6af483ef4e9ea8d0d6b18cb43880">Easing::EaseOutElastic</a></div><div class="ttdeci">static float EaseOutElastic(float t, float magnitude=0.7)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00209">Easing.c:209</a></div></div>
<div class="ttc" id="aclass_easing_html_a6ce6453fb6289d18d7f1151efdd15fc2"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a6ce6453fb6289d18d7f1151efdd15fc2">Easing::EaseInCubic</a></div><div class="ttdeci">static float EaseInCubic(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00037">Easing.c:37</a></div></div>
<div class="ttc" id="aclass_easing_html_a6d12811882f7a6bf172dbfde69fc1c62"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a6d12811882f7a6bf172dbfde69fc1c62">Easing::EaseInOutBack</a></div><div class="ttdeci">static float EaseInOutBack(float t, float magnitude=1.70158)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00179">Easing.c:179</a></div></div>
<div class="ttc" id="aclass_easing_html_a6effc4b2b3976d89a0c0a9bf0774c459"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a6effc4b2b3976d89a0c0a9bf0774c459">Easing::EaseOutQuad</a></div><div class="ttdeci">static float EaseOutQuad(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00024">Easing.c:24</a></div></div>
<div class="ttc" id="aclass_easing_html_a89684a570f6021b664c6dade903e0091"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a89684a570f6021b664c6dade903e0091">Easing::EaseOutExpo</a></div><div class="ttdeci">static float EaseOutExpo(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00113">Easing.c:113</a></div></div>
<div class="ttc" id="aclass_easing_html_a9135bc72ed9822979c384a2647b91623"><div class="ttname"><a href="../../dc/dc0/class_easing.html#a9135bc72ed9822979c384a2647b91623">Easing::EaseOutCubic</a></div><div class="ttdeci">static float EaseOutCubic(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00042">Easing.c:42</a></div></div>
<div class="ttc" id="aclass_easing_html_aa0b82eff8b64435b49e57d79cdc56bae"><div class="ttname"><a href="../../dc/dc0/class_easing.html#aa0b82eff8b64435b49e57d79cdc56bae">Easing::EaseOutQuint</a></div><div class="ttdeci">static float EaseOutQuint(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00083">Easing.c:83</a></div></div>
<div class="ttc" id="aclass_easing_html_aa500911d2036081f162dc78772b6b368"><div class="ttname"><a href="../../dc/dc0/class_easing.html#aa500911d2036081f162dc78772b6b368">Easing::EaseInOutQuad</a></div><div class="ttdeci">static float EaseInOutQuad(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00029">Easing.c:29</a></div></div>
<div class="ttc" id="aclass_easing_html_aaaa1f8bde80b97316e237f262b8905d6"><div class="ttname"><a href="../../dc/dc0/class_easing.html#aaaa1f8bde80b97316e237f262b8905d6">Easing::EaseInOutQuart</a></div><div class="ttdeci">static float EaseInOutQuart(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00068">Easing.c:68</a></div></div>
<div class="ttc" id="aclass_easing_html_ab3676f8c4db5cee8c55e940d0a8d6c6b"><div class="ttname"><a href="../../dc/dc0/class_easing.html#ab3676f8c4db5cee8c55e940d0a8d6c6b">Easing::EaseInOutExpo</a></div><div class="ttdeci">static float EaseInOutExpo(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00122">Easing.c:122</a></div></div>
<div class="ttc" id="aclass_easing_html_ac06a3959d5765f07fa26457b1e969d61"><div class="ttname"><a href="../../dc/dc0/class_easing.html#ac06a3959d5765f07fa26457b1e969d61">Easing::EaseOutBounce</a></div><div class="ttdeci">static float EaseOutBounce(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00244">Easing.c:244</a></div></div>
<div class="ttc" id="aclass_easing_html_ac70041cf0e95ef3e497c8d560a1e2ca0"><div class="ttname"><a href="../../dc/dc0/class_easing.html#ac70041cf0e95ef3e497c8d560a1e2ca0">Easing::EaseInExpo</a></div><div class="ttdeci">static float EaseInExpo(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00103">Easing.c:103</a></div></div>
<div class="ttc" id="aclass_easing_html_ae261e15507cda0ff84dcf75153c123bf"><div class="ttname"><a href="../../dc/dc0/class_easing.html#ae261e15507cda0ff84dcf75153c123bf">Easing::EaseInElastic</a></div><div class="ttdeci">static float EaseInElastic(float t, float magnitude=0.7)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00195">Easing.c:195</a></div></div>
<div class="ttc" id="aclass_easing_html_ae2b0543fb9427ff30ae93898c8ca5475"><div class="ttname"><a href="../../dc/dc0/class_easing.html#ae2b0543fb9427ff30ae93898c8ca5475">Easing::EaseInQuad</a></div><div class="ttdeci">static float EaseInQuad(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00019">Easing.c:19</a></div></div>
<div class="ttc" id="aclass_easing_html_aef1086c6647b61fefc03b7e25465c457"><div class="ttname"><a href="../../dc/dc0/class_easing.html#aef1086c6647b61fefc03b7e25465c457">Easing::EaseOutCirc</a></div><div class="ttdeci">static float EaseOutCirc(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00148">Easing.c:148</a></div></div>
<div class="ttc" id="aclass_easing_html_afb8617d109776f7e0a8b8a7754f43ffd"><div class="ttname"><a href="../../dc/dc0/class_easing.html#afb8617d109776f7e0a8b8a7754f43ffd">Easing::EaseInCirc</a></div><div class="ttdeci">static float EaseInCirc(float t)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dc0/_easing_8c_source.html#l00142">Easing.c:142</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga273b16d560ff640dfd75a633a67bf97d"><div class="ttname"><a href="../../d5/d98/group___math.html#ga273b16d560ff640dfd75a633a67bf97d">Math::Asin</a></div><div class="ttdeci">static proto float Asin(float s)</div><div class="ttdoc">Returns angle in radians from sinus.</div></div>
<div class="ttc" id="agroup___math_html_ga3f01887a546a08f28dad75287e3fb830"><div class="ttname"><a href="../../d5/d98/group___math.html#ga3f01887a546a08f28dad75287e3fb830">Math::Sqrt</a></div><div class="ttdeci">static proto float Sqrt(float val)</div><div class="ttdoc">Returns square root.</div></div>
<div class="ttc" id="agroup___math_html_ga59a832dc3ede05300c969625f9c012d6"><div class="ttname"><a href="../../d5/d98/group___math.html#ga59a832dc3ede05300c969625f9c012d6">Math::Cos</a></div><div class="ttdeci">static proto float Cos(float angle)</div><div class="ttdoc">Returns cosinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_ga94eedd3910334f450ef989d69ab4e4fd"><div class="ttname"><a href="../../d5/d98/group___math.html#ga94eedd3910334f450ef989d69ab4e4fd">Math::Sin</a></div><div class="ttdeci">static proto float Sin(float angle)</div><div class="ttdoc">Returns sinus of angle in radians.</div></div>
<div class="ttc" id="agroup___math_html_gab5e095de61335667a5fc38d9d538d89f"><div class="ttname"><a href="../../d5/d98/group___math.html#gab5e095de61335667a5fc38d9d538d89f">Math::Pow</a></div><div class="ttdeci">static proto float Pow(float v, float power)</div><div class="ttdoc">Return power of v ^ power.</div></div>
<div class="ttc" id="agroup___math_html_gaf8c064b6b688407b9999ee677efd715d"><div class="ttname"><a href="../../d5/d98/group___math.html#gaf8c064b6b688407b9999ee677efd715d">Math::PI</a></div><div class="ttdeci">static const float PI</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00012">EnMath.c:12</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_730613eed9dabeebabdf25f35e79e1f5.html">Static</a></li><li class="navelem"><a class="el" href="../../d2/dc0/_easing_8c.html">Easing.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
